## python-pptx 0.6.18

=== Makefile ===
BEHAVE = behave
MAKE   = make
PYTHON = python
SETUP  = $(PYTHON) ./setup.py

.PHONY: accept clean cleandocs coverage docs readme sdist upload

help:
	@echo "Please use \`make <target>' where <target> is one or more of"
	@echo "  accept    run acceptance tests using behave"
	@echo "  clean     delete intermediate work product and start fresh"
	@echo "  cleandocs delete cached HTML documentation and start fresh"
	@echo "  coverage  run nosetests with coverage"
	@echo "  docs      build HTML documentation using Sphinx (incremental)"
	@echo "  opendocs  open local HTML documentation in browser"
	@echo "  readme    update README.html from README.rst"
	@echo "  sdist     generate a source distribution into dist/"
	@echo "  upload    upload distribution tarball to PyPI"

accept:
	$(BEHAVE) --stop

clean:
	find . -type f -name \*.pyc -exec rm {} \;
	find . -type f -name .DS_Store -exec rm {} \;
	rm -rf dist .coverage

cleandocs:
	$(MAKE) -C docs clean

coverage:
	py.test --cov-report term-missing --cov=pptx --cov=tests

docs:
	$(MAKE) -C docs html

opendocs:
	open docs/.build/html/index.html

sdist:
	$(SETUP) sdist

upload:
	$(SETUP) sdist upload

=== debian/changelog ===
python-pptx (0.6.18-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Nov 2019 15:36:55 +0100

=== debian/control ===
Source: python-pptx
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org> 
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-lxml, python3-pil, python3-xlsxwriter, python3-pytest
Standards-Version: 4.4.1
Homepage: https://github.com/scanny/python-pptx
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-pptx
Vcs-Git: https://gitlab.com/kalilinux/packages/python-pptx.git
Testsuite: autopkgtest-pkg-python

Package: python3-pptx
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pptx-doc
Description: Create Open XML PowerPoint documents in Python (Python 3)
 This package contains a Python library for creating and updating PowerPoint
 (.pptx) files.
 .
 A typical use would be generating a customized PowerPoint presentation from
 database content, downloadable by clicking a link in a web application.
 Several developers have used it to automate production of presentation-ready
 engineering status reports based on information held in their work management
 system. It could also be used for making bulk updates to a library of
 presentations or simply to automate the production of a slide or two that
 would be tedious to get right by hand.
 .
 This package installs the library for Python 3.

Package: python-pptx-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Create Open XML PowerPoint documents in Python (common documentation)
 This package contains a Python library for creating and updating PowerPoint
 (.pptx) files.
 .
 A typical use would be generating a customized PowerPoint presentation from
 database content, downloadable by clicking a link in a web application.
 Several developers have used it to automate production of presentation-ready
 engineering status reports based on information held in their work management
 system. It could also be used for making bulk updates to a library of
 presentations or simply to automate the production of a slide or two that
 would be tedious to get right by hand.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pptx

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pptx-$1.tar.gz%" \
   https://github.com/scanny/python-pptx/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-pptx 0.6.21

=== debian/changelog ===
python-pptx (0.6.21-0kali1~jan+nur3) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 04 Dec 2022 02:49:21 -0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-pptx
 Section: python
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org> 
+Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-lxml, python3-pil, python3-xlsxwriter, python3-pytest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/scanny/python-pptx
 Vcs-Browser: https://gitlab.com/kalilinux/packages/python-pptx
 Vcs-Git: https://gitlab.com/kalilinux/packages/python-pptx.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
+
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
